/*******************************************************************************
*
*  Web Vengeance Poo Pack - GST.h
*
*  Header file for the Poo pack's Giant Steaming Turd effect.
*
*	Copyright (c) 1997 SegaSoft, Inc.  All Rights Reserved.
*
*------------------------------------------------------------------------------
*                   CONFIDENTIAL AND PROPRIETARY INFORMATION
*------------------------------------------------------------------------------
*  The contents of this file are the property of SegaSoft, Inc., 
*  and may not be used or duplicated without the permission of SegaSoft, Inc.
*------------------------------------------------------------------------------
*
*  Edit History:
*		97-Oct-07	DJS	Creation.
*
*  Initials:
*  	DJS	Dan J. Su
*
*******************************************************************************/
#ifndef GST_H
#define GST_H


#ifdef EXTERN
#undef EXTERN
#endif

#ifdef DEFINE_GST
   #define EXTERN
#else
   #define EXTERN extern
#endif


// ---------- Structures and Types
typedef struct gstSaveData_s
{
   int   x;                   // x-position for FXOBJECT
   int   y;                   // y-position for FXOBJECT
   int   iFrame;              // Set to one of three different final textures:
                              // TEXTURE_FINAL_0 through TEXTURE_FINAL_2
} gstSaveData_t;


// ---------- Defines
#define EFFECT_NAME_GST       "GST"


// ---------- Function Prototypes
EXTERN BOOL GST_Update     ( DDRAW_DATA *pDDrawData, int iEffect, int iMsg, int iObjectCount );
EXTERN BOOL GST_Draw       ( DDRAW_DATA *pDDrawData, int iMsg );
EXTERN int  GST_ManualSave ( DDRAW_DATA *pDDrawData, int iMsg, void *pvData );


// ---------- Global Variables



#endif   // GST_H


